Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.util
Class ConfigUtil

    java.lang.Object
      be.ehealth.technicalconnector.config.util.ConfigUtil

Deprecated. replaced with
- be.ehealth.business.mycarenetcommons.util.McnConfigUtil
- be.ehealth.business.common.util.BusinessConfigUtil

    @Deprecated
    public final class ConfigUtil

extends Object

Utility class for Configuration.

Field Summary
`static String` | `DEFAULT` Deprecated. default project name
`static String` | `USE_DEFAULT_PROPERTIES` Deprecated. suffix tha must be used if you want to know if you have to use default properties

Method Summary
`static boolean` | `isNet()` Deprecated.
`static boolean` | `retrieveBooleanProjectProperty(String prefix, String projectName, String suffix, boolean defaultValue)` Deprecated. retrive a boolean value from properties files. verify if you need to use the default value (defined by prefix + projectName + usedefaultproperties) before trying to get the specific value.
`static PackageInfo` | `retrievePackageInfo(String componentName)` Deprecated. Retrieves the package information for a component from config file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_DEFAULT_PROPERTIES

    public static final String USE_DEFAULT_PROPERTIES

  Deprecated.
  suffix tha must be used if you want to know if you have to use default properties

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  Deprecated.
  default project name

  See Also:
    Constant Field Values

Method Detail

### retrievePackageInfo

    public static PackageInfo retrievePackageInfo(String componentName)
                                           throws TechnicalConnectorException

  Deprecated.
  Retrieves the package information for a component from config file.

  Parameters:
    `componentName` - the name of the component (name used in config file for properties [name].package.licence)
  Returns:
    the PackageInfo object initialized with properties content
  Throws:
    `TechnicalConnectorException`

### retrieveBooleanProjectProperty

    public static boolean retrieveBooleanProjectProperty(String prefix,
                                                         String projectName,
                                                         String suffix,
                                                         boolean defaultValue)

  Deprecated.
  retrive a boolean value from properties files.
  verify if you need to use the default value (defined by prefix + projectName + usedefaultproperties)
  before trying to get the specific value. (defined by prefix + projectName + suffix)

  Parameters:
    `prefix` -
    `projectName` -
    `suffix` -
    `defaultValue` - if no properties are defined this value 'll be used
  Returns:
    boolean value

### isNet

    public static boolean isNet()
                         throws TechnicalConnectorException

  Deprecated.
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.